Ext.define('Sb.TabPanel', {
	extend: 'Ext.TabPanel',
	xtype: 'sbtabpanel',

	initComponent: function () {
		if (this.tabPosition === 'left' || this.tabPosition === 'right') {
			this.cls = this.cls || '';
			this.cls += ' sb-tab-panel';
			this.cls += ' sb-tab-panel-tabs-' + this.tabPosition;
			this.verticalTabs = true;
			this.tabPosition = 'top';

			this.headerCfg = this.headerCfg || {};
			this.headerCfg.cls = (this.headerCfg.cls || '') + ' sb-tab-panel-header';
		}

		this.callParent();
	},

	adjustBodyWidth: function (w) {
		if (this.verticalTabs) {
			this.header.setWidth(this.tabWidth);
			return w;
		}
		return this.callParent([w]);
	},

	getFrameWidth: function () {
		return this.callParent() + (this.verticalTabs ? this.tabWidth : 0);
	}
});