/**
 * @class Sb.form.FontFamilySizePanel
 * @extends Sb.form.FieldGroup
 */
Ext.define('Sb.form.FontFamilySizePanel', {
	extend: 'Sb.form.FieldGroup',

	fontFamilyWidth	: 'auto',
	fontSizeWidth: 'auto',
	widgetControlCls: '',
	cls: 'sb-edit-control-container',

	constructor		: function (config) {
		Sb.form.FontFamilySizePanel.superclass.constructor.call(this, config);

		this.add([{
			xtype: 'sbfontfamilycombo',
			itemId: 'FontFamily',
			itemCls: this.widgetControlCls + 'font-family',
			width: this.fontFamilyWidth,
			store: this.fontStore
		}, {
			xtype: 'sbfontsizecombo',
			itemId: 'FontSize',
			itemCls: this.widgetControlCls + 'font-size',
			width: this.fontSizeWidth
		}]);
	}
});