/**
 * @class Sb.widgetType.Advertisement
 * @extends Sb.widgetType.Base
 */
Ext.define('Sb.widgetType.Advertisement', {
	extend: 'Sb.widgetType.Base',

	allowedColors: '',

	/**
	 * @param {Object} config The configuration options to create new instance of edit panel
	 */
	getEditPanel: function (config) {
		if (this.editPanel === undefined) {
			config = Ext.apply({widgetType: this}, config);
			this.editPanel = new Sb.widget.ScriptEditPanel(config);
		}
		return this.editPanel;
	}
});