/**
 * @class Sb.model.HiddenWidget
 * @extends Sb.model.Widget
 * Class for hidden widget model
 * @constructor
 * @param {Object} config The configuration options for the widget model
 */
Ext.define('Sb.model.HiddenWidget', {
	extend: 'Sb.model.Widget',

	constructor: function (config) {
		config = Ext.apply({
			type: 'hidden'
		}, config);

		Sb.model.HiddenWidget.superclass.constructor.call(this, config);
	}
});
