/**
 * Class for Amazon store widget
 *
 * @class Sb.widget.AmazonStore
 * @extends Sb.widget.Widget
 * @xtype amazon_store_widget
 */
Ext.define('Sb.widget.AmazonStore', {
	extend: 'Sb.widget.Widget',
	xtype: 'amazon_store_widget',
	cls: 'sb-widget-amazon-store',

	/**
	 * Event callback, fires on hide edit
	 */
	onHideEdit: function () {
		Sb.widget.AmazonStore.superclass.onHideEdit.call(this);
		this.refreshContent();
	}
});