/**
 * Class for Twitter Feed Edit Panel
 *
 * @class Sb.widget.TwitterFeedEditPanel
 * @extends Sb.widget.ScriptEditPanel
 */
Ext.define('Sb.widget.TwitterFeedEditPanel', {
	extend: 'Sb.widget.ScriptEditPanel',

	/**
	 * Initiates edit components
	 * @private
	 */
	initEditComponents: function () {
		this.widgetLabel = new Ext.form.Label();
		this.codeTextArea = new Ext.form.TextArea({
			ctCls		: 'sb-widget-twitter-feed-url-field',
			height		: 150,
			width		: 545,
			hideLabel	: true,
			regex		: /^<.+class="twitter-timeline".+href="http|https\/\/ twitter\.com\//,
			msgTarget	: 'under',
			regexText	: Sb.WidgetTypeManager.get('twitter_feed').getTranslation('invalidCode')
		});
	}
});